# 🧠 Geniusrise
# Copyright (C) 2023  geniusrise.ai
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

intents = {
    "Product Information": [
        "Details about specific artisan products",
        "Information on materials and craftsmanship",
        "Customization options for handmade items",
        "Care and maintenance of craft products",
    ],
    "Purchasing and Ordering": [
        "How to purchase or place an order",
        "Payment options and security",
        "Order customization and special requests",
        "Bulk orders and wholesale purchasing",
    ],
    "Marketplace Events and Fairs": [
        "Upcoming craft fairs and markets",
        "Participating artisan profiles",
        "Workshops and live demonstrations",
        "Event locations and schedules",
    ],
    "Shipping and Delivery": [
        "Shipping options and costs",
        "Tracking and status of orders",
        "International shipping policies",
        "Packaging and gift wrapping services",
    ],
    "Vendor and Artisan Support": [
        "Becoming a vendor or artisan in the marketplace",
        "Vendor account management",
        "Marketing and promotion support",
        "Community and network for artisans",
    ],
    "Returns and Refunds": [
        "Return policy for products",
        "Process for returning an item",
        "Refund timelines and methods",
        "Handling damaged or incorrect items",
    ],
    "Customer Reviews and Feedback": [
        "Submitting product reviews",
        "Reading customer testimonials",
        "Feedback on marketplace experience",
        "Responding to reviews and feedback",
    ],
    "Sustainability and Ethics": [
        "Eco-friendly and sustainable products",
        "Ethical sourcing and production practices",
        "Supporting local artisans and communities",
        "Recycled and upcycled craft items",
    ],
    "Collaborations and Partnerships": [
        "Collaborative projects with artisans",
        "Cross-promotions with other brands",
        "Corporate and custom gift inquiries",
        "Partnership opportunities for events",
    ],
    "Gift Ideas and Recommendations": [
        "Gift recommendations for special occasions",
        "Personalized and bespoke gift options",
        "Gift cards and vouchers",
        "Seasonal and holiday gift guides",
    ],
    "Workshops and Education": [
        "Craft workshops and classes",
        "Online tutorials and courses",
        "Educational resources for crafters",
        "Skill-sharing and learning opportunities",
    ],
    "Trends and Inspirations": [
        "Current trends in handmade crafts",
        "Featured artisan stories and inspirations",
        "New arrivals and featured collections",
        "Creative ideas and crafting inspiration",
    ],
}
