# 🧠 Geniusrise
# Copyright (C) 2023  geniusrise.ai
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

intents = {
    "Personalized Diet Plans": [
        "Creating a personalized diet plan",
        "Dietary recommendations for specific goals",
        "Adjusting diet plans for health conditions",
        "Diet plans for weight loss or gain",
    ],
    "Nutritional Information": [
        "Nutrient content of foods",
        "Understanding macronutrients and micronutrients",
        "Reading and interpreting food labels",
        "Information on vitamins and supplements",
    ],
    "Healthy Eating Habits": [
        "Tips for healthy eating",
        "Meal planning and preparation",
        "Healthy snack options",
        "Balancing meals for optimal nutrition",
    ],
    "Dietary Restrictions and Allergies": [
        "Managing food allergies and intolerances",
        "Gluten-free, dairy-free, and other special diets",
        "Vegetarian and vegan dietary guidance",
        "Navigating dietary restrictions",
    ],
    "Weight Management": [
        "Strategies for healthy weight management",
        "Balancing calories and activity",
        "Dealing with weight loss plateaus",
        "Sustainable weight loss methods",
    ],
    "Sports Nutrition": [
        "Nutrition for athletes and active individuals",
        "Pre- and post-workout meals",
        "Hydration and sports performance",
        "Supplements for athletic performance",
    ],
    "Family and Child Nutrition": [
        "Nutritional needs for children",
        "Healthy eating for families",
        "Dealing with picky eaters",
        "Planning nutritious meals for kids",
    ],
    "Medical Nutrition Therapy": [
        "Dietary management of chronic diseases",
        "Nutrition advice for specific medical conditions",
        "Interactions between diet and medications",
        "Post-surgical nutrition and recovery",
    ],
    "Nutrition Education and Resources": [
        "Educational materials on nutrition",
        "Workshops and seminars on healthy eating",
        "Online resources and tools",
        "Nutrition courses and certifications",
    ],
    "Diet Trends and Fads": [
        "Information on current diet trends",
        "Evaluating the effectiveness of fad diets",
        "Risks and benefits of popular diets",
        "Science-based perspective on diet trends",
    ],
    "Eating Disorders and Counseling": [
        "Support for eating disorders",
        "Nutritional counseling for recovery",
        "Body image and mental health",
        "Referrals to eating disorder specialists",
    ],
    "Food and Cooking": [
        "Healthy cooking techniques",
        "Recipe modification for health",
        "Cooking for specific dietary needs",
        "Meal ideas and recipe suggestions",
    ],
}
