# 🧠 Geniusrise
# Copyright (C) 2023  geniusrise.ai
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

intents = {
    "Buying and Selling Properties": [
        "Property listings and viewings",
        "Real estate market trends",
        "Guidance on buying a property",
        "Selling and marketing a property",
    ],
    "Rental and Leasing Information": [
        "Available rental properties",
        "Lease agreement details",
        "Tenant application process",
        "Short-term and vacation rentals",
    ],
    "Property Management Services": [
        "Property maintenance requests",
        "Rent collection and billing",
        "Handling tenant complaints",
        "Contractor and vendor management",
    ],
    "Financing and Mortgage": [
        "Mortgage application and rates",
        "Refinancing options",
        "Home equity loans",
        "First-time homebuyer programs",
    ],
    "Investment and Market Analysis": [
        "Real estate investment opportunities",
        "Market analysis and trends",
        "Property valuation",
        "Return on investment calculations",
    ],
    "Legal and Regulatory Advice": [
        "Property law and regulations",
        "Zoning and land use",
        "Legal disputes and resolutions",
        "Compliance and permits",
    ],
    "Construction and Development": [
        "New construction projects",
        "Renovation and remodeling advice",
        "Sustainable and eco-friendly building",
        "Development planning and permits",
    ],
    "Inspection and Appraisal": [
        "Scheduling property inspections",
        "Home appraisal services",
        "Safety and compliance checks",
        "Condition assessment reports",
    ],
    "Neighborhood and Community": [
        "Community amenities and features",
        "Schools and education",
        "Safety and crime rates",
        "Local businesses and services",
    ],
    "Home Staging and Presentation": [
        "Home staging tips",
        "Interior design consultation",
        "Curb appeal enhancement",
        "Photography and virtual tours",
    ],
    "Property Marketing and Advertising": [
        "Marketing strategies for listings",
        "Advertising channels and tools",
        "Online listings and virtual showings",
        "Social media marketing for properties",
    ],
    "Relocation Services": [
        "Relocation assistance",
        "Moving and packing services",
        "Settling-in services",
        "International relocation advice",
    ],
    "Sustainability and Green Living": [
        "Eco-friendly housing options",
        "Energy-efficient homes",
        "Solar panels and renewable energy",
        "Green building certifications",
    ],
}
